export const addonNamespaces = ["megaverse:"];
export const addonDimensions = ["overworld", "nether", "the_end"];
export const isAxeTagInteractBlocks = [
	{
		matches: id=>id.includes("_log")||id.includes("_wood"),
		sound: id=>id.includes("cherry")?"step.cherry_wood":"use.wood",
		pitch: 0.8
	},
	{
		matches: id=>id.includes("_stem")||id.includes("_hyphae"),
		sound: "use.stem",
		pitch: 0.8
	},
	{
		matches: id=>id=="minecraft:stripped_bamboo_block",
		sound: "step.bamboo_wood",
		pitch: 0.8
	}
];
export const isHoeTagInteractBlocks = [
	{
		matches: (id,block)=>id=="minecraft:farmland"||block.hasTag("grass"),
		sound: "use.gravel",
		pitch: 0.8
	}
];
export const isShovelTagInteractBlocks = [
	{
		matches: id=>id=="minecraft:grass_path",
		sound: "use.grass",
		pitch: 0.8
	}
];
export const isShovelTagUseOnBlocks = [
	{
		matches: id=>id=="minecraft:coarse_dirt",
		sound: "use.grass",
		pitch: 0.8
	},
	{
		matches: id=>id=="minecraft:dirt",
		sound: "use.grass",
		pitch: 0.8
	},
	{
		matches: id=>id=="minecraft:dirt_with_roots",
		sound: "use.grass",
		pitch: 0.8
	},
	{
		matches: id=>id=="minecraft:mycelium",
		sound: "use.grass",
		pitch: 0.8
	},
	{
		matches: id=>id=="minecraft:podzol",
		sound: "use.grass",
		pitch: 0.8
	},
	{
		matches: id=>id=="minecraft:campfire"||id=="minecraft:soul_campfire",
		sound: "random.fizz",
		pitch: ()=>1.8+Math.random()*0.6,
		volume: 0.5
	}
];
export const isShovelTagUseOnBlocksToGrassPath = [
	"minecraft:coarse_dirt",
	"minecraft:dirt",
	"minecraft:dirt_with_roots",
	"minecraft:mycelium",
	"minecraft:podzol"
];
export const isShovelTagUseOnBlocksToExtinguish = [
	"minecraft:campfire",
	"minecraft:soul_campfire"
];