export const alchemyWandClassMagicTypes = [
	{
		matches: id=>id.includes("electric"),
		soundType: "magic.electric_magic.default_cast",
		entityType: "megaverse:tier0_magic_sphere",
		entityEvent: "<minecraft:on_cast_type_electric_tier1>",
		magicType: "minecraft:on_cast_timer_fast",
		castTimer: "minecraft:on_cast_timer_fast",
		velocity: 1.0
	},
	{
		matches: id=>id.includes("fire"),
		soundType: "magic.fire_magic.default_cast",
		entityType: "megaverse:tier0_magic_sphere",
		entityEvent: "<minecraft:on_cast_type_fire_tier1>",
		magicType: "minecraft:on_cast_timer_fast",
		castTimer: "minecraft:on_cast_timer_fast",
		velocity: 1.0
	},
	{
		matches: id=>id.includes("ice"),
		soundType: "magic.ice_magic.default_cast",
		entityType: "megaverse:tier0_magic_sphere",
		entityEvent: "<minecraft:on_cast_type_ice_tier1>",
		magicType: "minecraft:on_cast_timer_fast",
		castTimer: "minecraft:on_cast_timer_fast",
		velocity: 1.0
	}
];
export const alchemyWandDefaultMagicType = {
	soundType: "magic.restoration_magic.default_cast",
	entityType: "megaverse:tier0_magic_sphere",
	entityEvent: "<minecraft:on_cast_type_none_tier1>",
	magicType: "minecraft:on_cast_timer_fast",
	castTimer: "minecraft:on_cast_timer_fast",
	velocity: 1.0
};
export const blockFireItemsTags = ["megaverse:sconces"];
export const blockFireItemsTypeId = [
	"minecraft:torch",
	"minecraft:redstone_torch",
	"minecraft:soul_torch",
	"megaverse:sconce",
	"megaverse:redstone_sconce",
	"megaverse:soul_sconce"
];
export const blockFireItemsTypeIncludes = [];
export const firewoodKindlingFuelItemTags = [
	"minecraft:coals",
	"megaverse:compact_plant_blocks"
];
export const firewoodKindlingFuelItemTypes = [
	"minecraft:charcoal",
	"minecraft:coal",
	"minecraft:hay_block"
];
export const musicDiscTypePlaying = {
	"megaverse:music_disc_adventure_of_the_rising_sun": "music.terranova.record.adventure_of_the_rising_sun",
	"megaverse:music_disc_great_velanidia_of_proelefsi": "music.terranova.record.great_velanidia_of_proelefsi",
	"megaverse:music_disc_life_of_a_wooden_dragon": "music.terranova.record.life_of_a_wooden_dragon"
};
export const sconceItemsTags = ["megaverse:sconces"];
export const sconceItemsTypeId = [
	"megaverse:sconce",
	"megaverse:soul_sconce",
	"megaverse:redstone_sconce"
];